Subject: Bug#228766: X-Spam-Checker-Version: SpamAssassin header not added

From: Charles Fry <[email-masked]>
Date: Tue, 20 Jan 2004 14:33:34 -0500

Package: amavisd-new
Version: 20030616p5-6
Severity: minor

When running SpamAssassin from procmail, with no custom configuration,
the following header was added to all email messages processed by
SpamAssassin:

X-Spam-Checker-Version: SpamAssassin 2.61 (1.212.2.1-2003-12-09-exp) on...

Amoung other things, this made it easy to verify that messages were
actually being checked.

After enabling SpamAssassin in amavisd-new, this header is not being
added (or is being stripped out). Nothing in amavisd.conf seems to
control this, and I could find no mention of it in the provided
documentation.

Charles

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux frogcircus.org 2.4.23-memlock+brkpatch+mremap-6um #6 Mon Jan 5 21:36:39 GMT 2004 i686
Locale: LANG=en_US, LC_CTYPE=en_US

Versions of packages amavisd-new depends on:
ii  adduser                       3.51       Add and remove users and groups
ii  file                          4.06-2     Determines file type using "magic"
ii  libarchive-tar-perl           1.03-0.1   Archive::Tar - manipulate tar file
ii  libarchive-zip-perl           1.05-1     Module for manipulation of ZIP arc
ii  libcompress-zlib-perl         1.16-1.1   Perl module for creation and manip
ii  libconvert-tnef-perl          0.17-3     Perl module to read TNEF files
ii  libconvert-uulib-perl         1.0-1      Perl interface to the uulib librar
pn  libdigest-md5-perl                       Not found.
ii  libmailtools-perl             1.59-1     Manipulate email in perl programs
pn  libmime-base64-perl                      Not found.
ii  libmime-perl                  5.411-2    Perl5 modules for MIME-compliant m
ii  libnet-perl                   1:1.17-1   Implementation of Internet protoco
ii  libnet-server-perl            0.85-3     An extensible, general perl server
ii  libunix-syslog-perl           0.100-2    Perl interface to the UNIX syslog(
ii  perl [libtime-hires-perl]     5.8.2-2    Larry Wall's Practical Extraction 
ii  perl-modules [libnet-perl]    5.8.2-2    Core Perl modules.

-- no debconf information

---

From: Henrique de Moraes Holschuh <[email-masked]>
Date: Wed, 11 Feb 2004 19:51:58 -0200

severity 228766 wishlist
thanks

The amavisd code to add this header is commented upstream, therefore
I am lowering the severity of this bug to "wishlist", and sending it
upstream.

Mark, I assume there is a reason for that code to be commented out, instead
of being a config option or enabled all the time?

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh

---

From: [email-masked] (Debian Bug Tracking System)

Your message dated Wed, 11 Feb 2004 19:51:58 -0200
with message-id <[email-masked]>
has caused the Debian Bug report #228766,
regarding X-Spam-Checker-Version: SpamAssassin header not added
to be marked as having been forwarded to the upstream software
author(s) Mark Martinec <[email-masked]>.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

---------------------------------------
Received: (at 228766-forwarded) by bugs.debian.org; 11 Feb 2004 21:52:00 +0000
>From [email-masked] Wed Feb 11 13:52:00 2004
Date: Wed, 11 Feb 2004 19:51:58 -0200
From: Henrique de Moraes Holschuh <[email-masked]>
To: Mark Martinec <[email-masked]>
Cc: Charles Fry <[email-masked]>,
	[email-masked]
Subject: Re: Bug#228766: X-Spam-Checker-Version: SpamAssassin header not added

severity 228766 wishlist
thanks